> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Zero-shot audio classification



## OpenAPI

````yaml /api-reference/openapi.json post /v1/classifications/zero-shot/audio
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/classifications/zero-shot/audio:
    post:
      summary: Zero-shot audio classification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZeroShotAudioClassificationRequest'
      responses:
        '200':
          description: Zero-shot audio classification results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClassificationListLabelScore'
components:
  schemas:
    ZeroShotAudioClassificationRequest:
      allOf:
        - type: object
          description: >-
            Zero-shot classification request for audio inputs using candidate
            labels.
          properties:
            audios:
              type: array
              items:
                type: array
                items:
                  type: number
              description: Audio input(s) as list(s) of floats (waveform arrays). Required.
            candidate_labels:
              type: array
              items:
                type: string
              description: >-
                List of candidate labels to classify the audio against.
                Required.
            hypothesis_template:
              type: string
              default: This is a sound of {}
              description: >-
                Template used to format each candidate label into a hypothesis
                for scoring.
          required:
            - audios
            - candidate_labels
    ClassificationListLabelScore:
      type: array
      description: 'Standard classification response: list of label/score pairs.'
      items:
        type: object
        properties:
          label:
            type: string
            description: Predicted label name.
          score:
            type: number
            description: Confidence score (probability-like) for the label.

````